> For the complete documentation index, see [llms.txt](https://docs.projetly.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projetly.ai/home/api-reference/dashboards.md).

# Dashboards

## GET /api/dashboards/info/

> API endpoint for dashboard operations

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Dashboard":{"type":"object","description":"Main dashboard serializer","properties":{"dashboard_id":{"type":"string","maxLength":25},"dashboard_name":{"type":"string","maxLength":100},"description":{"type":"string"},"dashboard_type":{"allOf":[{"$ref":"#/components/schemas/DashboardTypeEnum"}],"default":"overview"},"is_system_defined":{"type":"boolean","default":true},"is_default":{"type":"boolean"},"visibility":{"allOf":[{"$ref":"#/components/schemas/VisibilityEnum"}],"default":"public"},"widgets":{"type":"array","items":{"$ref":"#/components/schemas/DashboardWidget"}},"access_list":{"type":"array","items":{"$ref":"#/components/schemas/DashboardAccess"}},"access_count":{"type":"integer"},"cache_ttl":{"type":"integer","default":300},"layout_config":{"type":"object","additionalProperties":{}},"theme_config":{"type":"object","additionalProperties":{}},"time_range_default":{"type":"string","default":"30_days","maxLength":20}},"required":["dashboard_id","dashboard_name"]},"DashboardTypeEnum":{"enum":["overview","deals","projects","revenue","activities","custom"],"type":"string","description":"* `overview` - overview\n* `deals` - deals\n* `projects` - projects\n* `revenue` - revenue\n* `activities` - activities\n* `custom` - custom"},"VisibilityEnum":{"enum":["public","private","restricted"],"type":"string","description":"* `public` - public\n* `private` - private\n* `restricted` - restricted"},"DashboardWidget":{"type":"object","description":"Serializer for dashboard widget configuration","properties":{"widget_id":{"type":"string","maxLength":25},"widget_type":{"type":"string","maxLength":50},"position":{"type":"object","additionalProperties":{}},"config":{"type":"object","additionalProperties":{}},"is_visible":{"type":"boolean","default":true},"refresh_interval":{"type":"integer","default":300},"last_refreshed":{"type":"string","format":"date-time"}},"required":["widget_id","widget_type"]},"DashboardAccess":{"type":"object","description":"Serializer for dashboard access control","properties":{"access_type":{"$ref":"#/components/schemas/AccessTypeEnum"},"access_id":{"type":"string","maxLength":25},"permission_level":{"allOf":[{"$ref":"#/components/schemas/PermissionLevelEnum"}],"default":"view"},"granted_by":{"type":"string","maxLength":25},"granted_at":{"type":"string","format":"date-time","default":"2026-07-01T11:44:45.305634Z"}},"required":["access_id","access_type"]},"AccessTypeEnum":{"enum":["user","role","team"],"type":"string","description":"* `user` - user\n* `role` - role\n* `team` - team"},"PermissionLevelEnum":{"enum":["view","edit","admin"],"type":"string","description":"* `view` - view\n* `edit` - edit\n* `admin` - admin"}}},"paths":{"/api/dashboards/info/":{"get":{"operationId":"dashboards_info_list","description":"API endpoint for dashboard operations","tags":["Dashboards"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dashboard"}}}},"description":""}}}}}}
```

## POST /api/dashboards/info/

> API endpoint for dashboard operations

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Dashboard":{"type":"object","description":"Main dashboard serializer","properties":{"dashboard_id":{"type":"string","maxLength":25},"dashboard_name":{"type":"string","maxLength":100},"description":{"type":"string"},"dashboard_type":{"allOf":[{"$ref":"#/components/schemas/DashboardTypeEnum"}],"default":"overview"},"is_system_defined":{"type":"boolean","default":true},"is_default":{"type":"boolean"},"visibility":{"allOf":[{"$ref":"#/components/schemas/VisibilityEnum"}],"default":"public"},"widgets":{"type":"array","items":{"$ref":"#/components/schemas/DashboardWidget"}},"access_list":{"type":"array","items":{"$ref":"#/components/schemas/DashboardAccess"}},"access_count":{"type":"integer"},"cache_ttl":{"type":"integer","default":300},"layout_config":{"type":"object","additionalProperties":{}},"theme_config":{"type":"object","additionalProperties":{}},"time_range_default":{"type":"string","default":"30_days","maxLength":20}},"required":["dashboard_id","dashboard_name"]},"DashboardTypeEnum":{"enum":["overview","deals","projects","revenue","activities","custom"],"type":"string","description":"* `overview` - overview\n* `deals` - deals\n* `projects` - projects\n* `revenue` - revenue\n* `activities` - activities\n* `custom` - custom"},"VisibilityEnum":{"enum":["public","private","restricted"],"type":"string","description":"* `public` - public\n* `private` - private\n* `restricted` - restricted"},"DashboardWidget":{"type":"object","description":"Serializer for dashboard widget configuration","properties":{"widget_id":{"type":"string","maxLength":25},"widget_type":{"type":"string","maxLength":50},"position":{"type":"object","additionalProperties":{}},"config":{"type":"object","additionalProperties":{}},"is_visible":{"type":"boolean","default":true},"refresh_interval":{"type":"integer","default":300},"last_refreshed":{"type":"string","format":"date-time"}},"required":["widget_id","widget_type"]},"DashboardAccess":{"type":"object","description":"Serializer for dashboard access control","properties":{"access_type":{"$ref":"#/components/schemas/AccessTypeEnum"},"access_id":{"type":"string","maxLength":25},"permission_level":{"allOf":[{"$ref":"#/components/schemas/PermissionLevelEnum"}],"default":"view"},"granted_by":{"type":"string","maxLength":25},"granted_at":{"type":"string","format":"date-time","default":"2026-07-01T11:44:45.305634Z"}},"required":["access_id","access_type"]},"AccessTypeEnum":{"enum":["user","role","team"],"type":"string","description":"* `user` - user\n* `role` - role\n* `team` - team"},"PermissionLevelEnum":{"enum":["view","edit","admin"],"type":"string","description":"* `view` - view\n* `edit` - edit\n* `admin` - admin"}}},"paths":{"/api/dashboards/info/":{"post":{"operationId":"dashboards_info_create","description":"API endpoint for dashboard operations","tags":["Dashboards"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Dashboard"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Dashboard"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}}},"description":""}}}}}}
```

## GET /api/dashboards/info/{id}/

> API endpoint for dashboard operations

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Dashboard":{"type":"object","description":"Main dashboard serializer","properties":{"dashboard_id":{"type":"string","maxLength":25},"dashboard_name":{"type":"string","maxLength":100},"description":{"type":"string"},"dashboard_type":{"allOf":[{"$ref":"#/components/schemas/DashboardTypeEnum"}],"default":"overview"},"is_system_defined":{"type":"boolean","default":true},"is_default":{"type":"boolean"},"visibility":{"allOf":[{"$ref":"#/components/schemas/VisibilityEnum"}],"default":"public"},"widgets":{"type":"array","items":{"$ref":"#/components/schemas/DashboardWidget"}},"access_list":{"type":"array","items":{"$ref":"#/components/schemas/DashboardAccess"}},"access_count":{"type":"integer"},"cache_ttl":{"type":"integer","default":300},"layout_config":{"type":"object","additionalProperties":{}},"theme_config":{"type":"object","additionalProperties":{}},"time_range_default":{"type":"string","default":"30_days","maxLength":20}},"required":["dashboard_id","dashboard_name"]},"DashboardTypeEnum":{"enum":["overview","deals","projects","revenue","activities","custom"],"type":"string","description":"* `overview` - overview\n* `deals` - deals\n* `projects` - projects\n* `revenue` - revenue\n* `activities` - activities\n* `custom` - custom"},"VisibilityEnum":{"enum":["public","private","restricted"],"type":"string","description":"* `public` - public\n* `private` - private\n* `restricted` - restricted"},"DashboardWidget":{"type":"object","description":"Serializer for dashboard widget configuration","properties":{"widget_id":{"type":"string","maxLength":25},"widget_type":{"type":"string","maxLength":50},"position":{"type":"object","additionalProperties":{}},"config":{"type":"object","additionalProperties":{}},"is_visible":{"type":"boolean","default":true},"refresh_interval":{"type":"integer","default":300},"last_refreshed":{"type":"string","format":"date-time"}},"required":["widget_id","widget_type"]},"DashboardAccess":{"type":"object","description":"Serializer for dashboard access control","properties":{"access_type":{"$ref":"#/components/schemas/AccessTypeEnum"},"access_id":{"type":"string","maxLength":25},"permission_level":{"allOf":[{"$ref":"#/components/schemas/PermissionLevelEnum"}],"default":"view"},"granted_by":{"type":"string","maxLength":25},"granted_at":{"type":"string","format":"date-time","default":"2026-07-01T11:44:45.305634Z"}},"required":["access_id","access_type"]},"AccessTypeEnum":{"enum":["user","role","team"],"type":"string","description":"* `user` - user\n* `role` - role\n* `team` - team"},"PermissionLevelEnum":{"enum":["view","edit","admin"],"type":"string","description":"* `view` - view\n* `edit` - edit\n* `admin` - admin"}}},"paths":{"/api/dashboards/info/{id}/":{"get":{"operationId":"dashboards_info_retrieve","description":"API endpoint for dashboard operations","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Dashboards"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}}},"description":""}}}}}}
```

## PUT /api/dashboards/info/{id}/

> API endpoint for dashboard operations

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Dashboard":{"type":"object","description":"Main dashboard serializer","properties":{"dashboard_id":{"type":"string","maxLength":25},"dashboard_name":{"type":"string","maxLength":100},"description":{"type":"string"},"dashboard_type":{"allOf":[{"$ref":"#/components/schemas/DashboardTypeEnum"}],"default":"overview"},"is_system_defined":{"type":"boolean","default":true},"is_default":{"type":"boolean"},"visibility":{"allOf":[{"$ref":"#/components/schemas/VisibilityEnum"}],"default":"public"},"widgets":{"type":"array","items":{"$ref":"#/components/schemas/DashboardWidget"}},"access_list":{"type":"array","items":{"$ref":"#/components/schemas/DashboardAccess"}},"access_count":{"type":"integer"},"cache_ttl":{"type":"integer","default":300},"layout_config":{"type":"object","additionalProperties":{}},"theme_config":{"type":"object","additionalProperties":{}},"time_range_default":{"type":"string","default":"30_days","maxLength":20}},"required":["dashboard_id","dashboard_name"]},"DashboardTypeEnum":{"enum":["overview","deals","projects","revenue","activities","custom"],"type":"string","description":"* `overview` - overview\n* `deals` - deals\n* `projects` - projects\n* `revenue` - revenue\n* `activities` - activities\n* `custom` - custom"},"VisibilityEnum":{"enum":["public","private","restricted"],"type":"string","description":"* `public` - public\n* `private` - private\n* `restricted` - restricted"},"DashboardWidget":{"type":"object","description":"Serializer for dashboard widget configuration","properties":{"widget_id":{"type":"string","maxLength":25},"widget_type":{"type":"string","maxLength":50},"position":{"type":"object","additionalProperties":{}},"config":{"type":"object","additionalProperties":{}},"is_visible":{"type":"boolean","default":true},"refresh_interval":{"type":"integer","default":300},"last_refreshed":{"type":"string","format":"date-time"}},"required":["widget_id","widget_type"]},"DashboardAccess":{"type":"object","description":"Serializer for dashboard access control","properties":{"access_type":{"$ref":"#/components/schemas/AccessTypeEnum"},"access_id":{"type":"string","maxLength":25},"permission_level":{"allOf":[{"$ref":"#/components/schemas/PermissionLevelEnum"}],"default":"view"},"granted_by":{"type":"string","maxLength":25},"granted_at":{"type":"string","format":"date-time","default":"2026-07-01T11:44:45.305634Z"}},"required":["access_id","access_type"]},"AccessTypeEnum":{"enum":["user","role","team"],"type":"string","description":"* `user` - user\n* `role` - role\n* `team` - team"},"PermissionLevelEnum":{"enum":["view","edit","admin"],"type":"string","description":"* `view` - view\n* `edit` - edit\n* `admin` - admin"}}},"paths":{"/api/dashboards/info/{id}/":{"put":{"operationId":"dashboards_info_update","description":"API endpoint for dashboard operations","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Dashboards"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Dashboard"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Dashboard"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}}},"description":""}}}}}}
```

## DELETE /api/dashboards/info/{id}/

> API endpoint for dashboard operations

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/dashboards/info/{id}/":{"delete":{"operationId":"dashboards_info_destroy","description":"API endpoint for dashboard operations","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Dashboards"],"responses":{"204":{"description":"No response body"}}}}}}
```

## PATCH /api/dashboards/info/{id}/

> API endpoint for dashboard operations

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"PatchedDashboard":{"type":"object","description":"Main dashboard serializer","properties":{"dashboard_id":{"type":"string","maxLength":25},"dashboard_name":{"type":"string","maxLength":100},"description":{"type":"string"},"dashboard_type":{"allOf":[{"$ref":"#/components/schemas/DashboardTypeEnum"}],"default":"overview"},"is_system_defined":{"type":"boolean","default":true},"is_default":{"type":"boolean"},"visibility":{"allOf":[{"$ref":"#/components/schemas/VisibilityEnum"}],"default":"public"},"widgets":{"type":"array","items":{"$ref":"#/components/schemas/DashboardWidget"}},"access_list":{"type":"array","items":{"$ref":"#/components/schemas/DashboardAccess"}},"access_count":{"type":"integer"},"cache_ttl":{"type":"integer","default":300},"layout_config":{"type":"object","additionalProperties":{}},"theme_config":{"type":"object","additionalProperties":{}},"time_range_default":{"type":"string","default":"30_days","maxLength":20}}},"DashboardTypeEnum":{"enum":["overview","deals","projects","revenue","activities","custom"],"type":"string","description":"* `overview` - overview\n* `deals` - deals\n* `projects` - projects\n* `revenue` - revenue\n* `activities` - activities\n* `custom` - custom"},"VisibilityEnum":{"enum":["public","private","restricted"],"type":"string","description":"* `public` - public\n* `private` - private\n* `restricted` - restricted"},"DashboardWidget":{"type":"object","description":"Serializer for dashboard widget configuration","properties":{"widget_id":{"type":"string","maxLength":25},"widget_type":{"type":"string","maxLength":50},"position":{"type":"object","additionalProperties":{}},"config":{"type":"object","additionalProperties":{}},"is_visible":{"type":"boolean","default":true},"refresh_interval":{"type":"integer","default":300},"last_refreshed":{"type":"string","format":"date-time"}},"required":["widget_id","widget_type"]},"DashboardAccess":{"type":"object","description":"Serializer for dashboard access control","properties":{"access_type":{"$ref":"#/components/schemas/AccessTypeEnum"},"access_id":{"type":"string","maxLength":25},"permission_level":{"allOf":[{"$ref":"#/components/schemas/PermissionLevelEnum"}],"default":"view"},"granted_by":{"type":"string","maxLength":25},"granted_at":{"type":"string","format":"date-time","default":"2026-07-01T11:44:45.305634Z"}},"required":["access_id","access_type"]},"AccessTypeEnum":{"enum":["user","role","team"],"type":"string","description":"* `user` - user\n* `role` - role\n* `team` - team"},"PermissionLevelEnum":{"enum":["view","edit","admin"],"type":"string","description":"* `view` - view\n* `edit` - edit\n* `admin` - admin"},"Dashboard":{"type":"object","description":"Main dashboard serializer","properties":{"dashboard_id":{"type":"string","maxLength":25},"dashboard_name":{"type":"string","maxLength":100},"description":{"type":"string"},"dashboard_type":{"allOf":[{"$ref":"#/components/schemas/DashboardTypeEnum"}],"default":"overview"},"is_system_defined":{"type":"boolean","default":true},"is_default":{"type":"boolean"},"visibility":{"allOf":[{"$ref":"#/components/schemas/VisibilityEnum"}],"default":"public"},"widgets":{"type":"array","items":{"$ref":"#/components/schemas/DashboardWidget"}},"access_list":{"type":"array","items":{"$ref":"#/components/schemas/DashboardAccess"}},"access_count":{"type":"integer"},"cache_ttl":{"type":"integer","default":300},"layout_config":{"type":"object","additionalProperties":{}},"theme_config":{"type":"object","additionalProperties":{}},"time_range_default":{"type":"string","default":"30_days","maxLength":20}},"required":["dashboard_id","dashboard_name"]}}},"paths":{"/api/dashboards/info/{id}/":{"patch":{"operationId":"dashboards_info_partial_update","description":"API endpoint for dashboard operations","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Dashboards"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchedDashboard"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PatchedDashboard"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PatchedDashboard"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dashboard"}}},"description":""}}}}}}
```

## Get customer activity heatmap data

> Get customer activity heatmap data

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/dashboards/info/customer-activity/":{"get":{"operationId":"dashboards_info_customer_activity_retrieve","description":"Get customer activity heatmap data","summary":"Get customer activity heatmap data","parameters":[{"in":"query","name":"project_ids","schema":{"type":"string"},"description":"Comma-separated project IDs to filter"},{"in":"query","name":"time_range","schema":{"type":"string","enum":["all_time","last_30_days","last_7_days","last_90_days"],"default":"last_30_days"},"description":"Time range for activity calculation"}],"tags":["Dashboards"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{},"description":"Unspecified response body"}}},"description":""}}}}}}
```

## Get customer activity details for specific project and bucket

> Get detailed user list for specific project and idle bucket

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/dashboards/info/customer-activity-detail/":{"get":{"operationId":"dashboards_info_customer_activity_detail_retrieve","description":"Get detailed user list for specific project and idle bucket","summary":"Get customer activity details for specific project and bucket","parameters":[{"in":"query","name":"idle_bucket","schema":{"type":"string"},"description":"Idle bucket (3, 5, 7, 10, 15, 20, 25, 30+)","required":true},{"in":"query","name":"project_id","schema":{"type":"string"},"description":"Project ID","required":true}],"tags":["Dashboards"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{},"description":"Unspecified response body"}}},"description":""}}}}}}
```

## Get deals dashboard data

> Get deals dashboard data

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/dashboards/info/deals/":{"get":{"operationId":"dashboards_info_deals_retrieve","description":"Get deals dashboard data","summary":"Get deals dashboard data","parameters":[{"in":"query","name":"force_refresh","schema":{"type":"boolean"},"description":"Force refresh cache"},{"in":"query","name":"time_filter","schema":{"type":"string","enum":["last_30_days","last_7_days","last_90_days","this_month","this_week"]},"description":"Time filter (last_7_days, last_30_days, last_90_days)"}],"tags":["Dashboards"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{},"description":"Unspecified response body"}}},"description":""}}}}}}
```

## Get default dashboard tab preference

> Get user's default dashboard tab preference

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/dashboards/info/default-tab/":{"get":{"operationId":"dashboards_info_default_tab_retrieve","description":"Get user's default dashboard tab preference","summary":"Get default dashboard tab preference","tags":["Dashboards"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{},"description":"Unspecified response body"}}},"description":""}}}}}}
```

## Get projects dashboard data

> Get projects dashboard data

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/dashboards/info/projects/":{"get":{"operationId":"dashboards_info_projects_retrieve","description":"Get projects dashboard data","summary":"Get projects dashboard data","parameters":[{"in":"query","name":"force_refresh","schema":{"type":"boolean"},"description":"Force refresh cache"},{"in":"query","name":"time_filter","schema":{"type":"string","enum":["last_30_days","last_7_days","last_90_days","this_month","this_week"]},"description":"Time filter (last_7_days, last_30_days, last_90_days)"}],"tags":["Dashboards"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{},"description":"Unspecified response body"}}},"description":""}}}}}}
```

## Save default dashboard tab preference

> Save user's default dashboard tab preference

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/dashboards/info/save-default-tab/":{"post":{"operationId":"dashboards_info_save_default_tab_create","description":"Save user's default dashboard tab preference","summary":"Save default dashboard tab preference","tags":["Dashboards"],"requestBody":{"content":{"type":{"schema":{"type":"object","additionalProperties":{},"description":"Unspecified request body"}},"properties":{"schema":{"default_tab":{"type":"string","enum":["deals","projects"]}}}}},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{},"description":"Unspecified response body"}}},"description":""}}}}}}
```

## Update task status from dashboard

> API endpoint for dashboard operations

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/dashboards/info/update-task-status/":{"post":{"operationId":"dashboards_info_update_task_status_create","description":"API endpoint for dashboard operations","summary":"Update task status from dashboard","tags":["Dashboards"],"requestBody":{"content":{"type":{"schema":{"type":"object","additionalProperties":{},"description":"Unspecified request body"}},"properties":{"schema":{"item_id":{"type":"string"},"project_id":{"type":"string"},"is_completed":{"type":"boolean"},"source":{"type":"string"}}}}},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{},"description":"Unspecified response body"}}},"description":""}}}}}}
```
